package com.kxs.lhb.basic.biz.mq.model.params;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 订单通知
 *
 * @author 没秃顶的码农
 * @date 2024-09-02
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
public class OrderNotify extends IsvParams{

    private String isvNo;

    private String employNum;

    private String mobile;

    private String productName;

    private BigDecimal firstRechargeAmount;

    private String receiveName;

    private String receiveMobile;

    private String receiveAddress;

    private String orderNo;

    private String userName;

    private String createTime;

}
